Package org.apache.catalina.users

## Class MemoryGroup

- java.lang.Object
- - org.apache.catalina.users.AbstractGroup
  - - org.apache.catalina.users.GenericGroup<MemoryUserDatabase>
    - - org.apache.catalina.users.MemoryGroup

- All Implemented Interfaces:
    `Principal`, `Group`

      @Deprecated
      public class MemoryGroup
      extends GenericGroup<MemoryUserDatabase>

  Deprecated.
  Use `GenericGroup` instead.

  Concrete implementation of `Group` for the `MemoryUserDatabase` implementation of `UserDatabase`.

  Since:
    4.1
  Author:
    Craig R. McClanahan

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.users.GenericGroup

      `database, roles`

    - ### Fields inherited from class org.apache.catalina.users.AbstractGroup

      `description, groupname`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` | Deprecated. Return a String representation of this group in XML format.

    - ### Methods inherited from class org.apache.catalina.users.GenericGroup

      `addRole, equals, getRoles, getUserDatabase, getUsers, hashCode, isInRole, removeRole, removeRoles`

    - ### Methods inherited from class org.apache.catalina.users.AbstractGroup

      `getDescription, getGroupname, getName, setDescription, setGroupname`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.

      Return a String representation of this group in XML format.

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`